Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfGluePointType

    java.lang.Object
      java.lang.Enum<OdfGluePointType>
          org.odftoolkit.odfdom.dom.type.draw.OdfGluePointType

All Implemented Interfaces:
  Serializable, Comparable<OdfGluePointType>

    public enum OdfGluePointType

extends Enum<OdfGluePointType>

DOM implementation of OpenDocument attribute draw:glue-point-type.

Enum Constant Summary
`NONE`
`RECTANGLE`
`SEGMENTS`

Method Summary
`static OdfGluePointType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfGluePointType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfGluePointType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfGluePointType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OdfGluePointType NONE

### SEGMENTS

    public static final OdfGluePointType SEGMENTS

### RECTANGLE

    public static final OdfGluePointType RECTANGLE

Method Detail

### values

    public static OdfGluePointType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfGluePointType c : OdfGluePointType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfGluePointType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfGluePointType>`
  Returns:
    return the name of OdfGluePointType

### toString

    public static String toString(OdfGluePointType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfGluePointType, see draw:glue-point-type
  Returns:
    return the name of OdfGluePointType

### enumValueOf

    public static OdfGluePointType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfGluePointType
  Returns:
    return the constant of OdfGluePointType, see draw:glue-point-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.